Subject: Re: What's the definition of a valid Git symbolic reference?

From: "Kevin P. Fleming" <[email-masked]>
Date: Sat, 19 Feb 2011 07:10:50 -0600

On 02/14/2011 11:02 PM, Tomas Carnecky wrote:
> On 2/15/11 4:49 AM, Emeric Fermas wrote:
>> Another possibility would be that only git internal symbolic
>> references are allowed to live under the ".git" dir (HEAD, FETCH_HEAD,
>> ...) and that user defined symrefs should live under refs/. In this
>
> All refs should live under refs/ (except the special ones like HEAD
> etc). It's usually a mistake if someone manages to create one outside of
> refs/. The plumbing commands allow you to do that, but users usually
> shouldn't use those.

Being able to manually point HEAD at a ref is actually useful; when I've 
created repos that start out with a 'vendor branch', I want to do the 
initial import into a branch called 'upstream', not 'master'. Using 'git 
symbolic-ref HEAD refs/heads/upstream' in a brand-new repo allows that 
to happen, and works quite well.

Please don't take it away :-)

-- 
Kevin P. Fleming
Digium, Inc. | Director of Software Technologies
445 Jan Davis Drive NW - Huntsville, AL 35806 - USA
skype: kpfleming | jabber: [email-masked]
Check us out at www.digium.com & www.asterisk.org